For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
ReferenceGuidesChangelog
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
    • POSTResolve ID Token
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETSearch Users by Email
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
    • POSTCreate Comment Reply
  • Ecommerce
  • Webhooks
  • Site Configuration
  • Enterprise
  • App Subscriptions
    • GETGet app subscriptions
LogoLogo
Resources
Get started
Comments

List Comment Threads

GET
https://api.webflow.com/beta/sites/:site_id/comments
GET
/beta/sites/:site_id/comments
$curl -G https://api.webflow.com/beta/sites/580e63e98c9a982ac9b8b741/comments \
> -H "Authorization: Bearer <token>" \
> -d localeId=65427cf400e02b306eaa04a0 \
> -d offset=0 \
> -d limit=100
1{
2 "comments": [
3 {
4 "id": "679d2ddb5196117ad04d1ffa",
5 "siteId": "679826b3b20b045e176bc4b5",
6 "pageId": "679826b3b20b045e176bc4bc",
7 "localeId": "67993753d910db250db64b3e",
8 "itemId": null,
9 "breakpoint": "main",
10 "url": "https://webflow.com/design/site-slug-4ec832?workflow=comment&commentId=679d2ddb5196117ad04d1ff8&pageId=679826b3b20b045e176bc4bc",
11 "content": "Let's go to the pub! [[6287ec36a841b25637c663df]] ",
12 "isResolved": false,
13 "author": {
14 "userId": "6287ec36a841b25637c663df",
15 "email": "ford.prefect@heartofgold.spaceship",
16 "name": "Ford Prefect"
17 },
18 "mentionedUsers": [
19 {
20 "userId": "6287ec36a841b25637c663df",
21 "email": "arthur.dent@heartofgold.spaceship",
22 "name": "Arthur Dent"
23 }
24 ],
25 "createdOn": "2025-01-31T20:08:59.759Z",
26 "lastUpdated": "2025-01-31T20:08:59.759Z"
27 },
28 {
29 "id": "679d2ddb5196117ad04d1ffc",
30 "siteId": "679826b3b20b045e176bc4b5",
31 "pageId": "679826b3b20b045e176bc4bc",
32 "localeId": "67993753d910db250db64b3e",
33 "itemId": null,
34 "breakpoint": "main",
35 "url": "https://webflow.com/design/site-slug-4ec832?workflow=comment&commentId=679d2ddb5196117ad04d1ff8&pageId=679826b3b20b045e176bc4bc",
36 "content": "You have five minutes left to drink it [[6287ec36a841b25637c663df]] ",
37 "isResolved": false,
38 "author": {
39 "userId": "6287ec36a841b25637c663df",
40 "email": "ford.prefect@heartofgold.spaceship",
41 "name": "Ford Prefect"
42 },
43 "mentionedUsers": [
44 {
45 "userId": "6287ec36a841b25637c663df",
46 "email": "arthur.dent@heartofgold.spaceship",
47 "name": "Arthur Dent"
48 }
49 ],
50 "createdOn": "2025-01-31T20:08:59.759Z",
51 "lastUpdated": "2025-01-31T20:08:59.759Z"
52 }
53 ],
54 "pagination": {
55 "limit": 2,
56 "offset": 0,
57 "total": 2
58 }
59}
List all comment threads for a site. <Note title="Timing of comment threads"> There may be a delay of up to 5 minutes before new comments appear in the system. </Note> Required scope | `comments:read`
Was this page helpful?
Previous

Get Comment Thread

Next
Built with

List all comment threads for a site.

Timing of comment threads

There may be a delay of up to 5 minutes before new comments appear in the system.

Required scope | comments:read

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site

Query parameters

localeIdstringOptional

Unique identifier for a specific Locale.

Learn more about localization.

offsetintegerOptional
Offset used for pagination if the results have more than limit records
limitintegerOptional

Maximum number of records to be returned (max limit: 100)

sortByenumOptional
Sort results by the provided value. Only allowed when sortOrder is provided.
Allowed values:
sortOrderenumOptional
Sorts the results by asc or desc
Allowed values:

Response

Request was successful
commentslist of objects
paginationobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error